package model

import (
	"time"
)

type TaGymCard struct {
	GymCardId        string    `xorm:"not null pk VARCHAR(64)"`
	GymTypeId        string    `xorm:"VARCHAR(64)"`
	GymCardName      string    `xorm:"VARCHAR(128)"`
	Price            float32   `xorm:"FLOAT(8,2)"`
	VideoUrl         string    `xorm:"TEXT"`
	CoverUrl         string    `xorm:"TEXT"`
	SentType         int       `xorm:"comment('0案场 1渠道') SMALLINT(6)"`
	StartDate        time.Time `xorm:"DATETIME"`
	EndDate          time.Time `xorm:"DATETIME"`
	ValidDays        int       `xorm:"INT(11)"`
	ShareDescription string    `xorm:"VARCHAR(255)"`
	RuleDescription  string    `xorm:"VARCHAR(255)"`
	UseDescription   string    `xorm:"TEXT"`
	TotalCount       int       `xorm:"INT(11)"`
	SentCount        int       `xorm:"INT(11)"`
	UsedCount        int       `xorm:"INT(11)"`
	Status           int       `xorm:"comment('0未发布 1已发布 2已过期') SMALLINT(6)"`
	CaseId           string    `xorm:"VARCHAR(64)"`
	OrgId            string    `xorm:"VARCHAR(64)"`
	CreateDate       time.Time `xorm:"DATETIME"`
}
